*****************************************************************
**************** EL VOTANTE DOMINICANO **************************
***** CIUDADANOS Y ELECCIONES EN LA REPBLICA DOMINICANA ********
*****************************************************************


*****************************************************************
****************** I N S T R U C C I O N E S  *******************
*****************************************************************
*** Para reproducir los analisis del libro es necesario *********
*** correr toda la seccin de "CODIFICACIN" (lnea 28 a 420) ***
*** y despus realizar los anlisis de cada captulo (a partir **
*** de las lneas 433 hasta 1656). ******************************
***************************************************************** 
*** NOTA: Cada captulo, adems, tiene una codificacin especial.
*****************************************************************



*****************************************************************
********************* C O D I F I C A C I  N *******************
*****************************************************************


*********** VARIABLES PRIMERA OLA (1st ROUND) *******************

/// Tipo de localidad
recode punto_m_1 (2=0), gen(urba)
label var urba "rural-urba"
label define urba 0 "rural" 1 "urbano"
label values urba urba

/// Tamano del Muninicio
rename tama_1 (tama)

/// Interes en politica
gen polint1=.
replace polint1=1 if p2_1==4
replace polint1=2 if p2_1==3
replace polint1=3 if p2_1==2
replace polint1=4 if p2_1==1
label var polint1 "political interest pre"
label define nadamucho 1 "nada" 2 "poco" 3 "bastante" 4 "mucho"
label values polint1 nadamucho

/// Cercania a partidos politicos_Preelectoral
gen PID1=0
replace PID1=1 if p5_1==1
replace PID1=2 if p5_1==3
replace PID1=3 if p5_1==5
replace PID1=4 if p5_1==2
replace PID1=4 if p5_1==4
replace PID1=4 if p5_1==6
replace PID1=4 if p5_1==901
label var PID1 "party closeness pre"
label define PID 0 "Independiente" 1 "PLD" 2 "PRD" 3 "PRSC" 4 "Otro"
label values PID1 PID

/// Grado de cercania a partidos politicos
gen PIDst1=0
replace PIDst1=1 if p6_1==4
replace PIDst1=1 if p6_1==8
replace PIDst1=2 if p6_1==3
replace PIDst1=3 if p6_1==2
replace PIDst1=4 if p6_1==1
label var PIDst1 "party closeness strenght pre"
label define PIDst 0 "independiente" 1 "muy lejano" 2 "algo lejano" 3 "algo cercano" 4 "muy cercano"
label values PIDst1 PIDst

recode PIDst1 (1 2=0 "independiente")(3=1 "algo cercano")(4=2 "muy cercano"), gen(PIDstbis)
label var PIDstbis "Party closeness BIS pre"

/// Autoidentificacion Ideologica
rename p10_1 ideo1
label var ideo1 "Ideologia Pre"
label define ideo 1 "1 izquierda" 10 "10 derecha"
label values ideo1 ideo


/// Posicionamiento en Autoidentificacion ideologica
gen placeideo1=1
replace placeideo1=0 if ideo1==.

/// Decision Electoral_ Pre-electoral
gen prevote=.
replace prevote=8 if p26_1==96
replace prevote=8 if p26_1==97
replace prevote=0 if p26_1==98
replace prevote=0 if p26_1==99
replace prevote=1 if p26_1==1
replace prevote=4 if p26_1==2
replace prevote=2 if p26_1==3
replace prevote=5 if p26_1==4
replace prevote=3 if p26_1==5
replace prevote=6 if p26_1==6
replace prevote=7 if p26_1==95
label var prevote "Vote decision-Pre"
label define vote 0 "NS/NC" 1 "PLD" 2 "PRD" 3 "PRSC" 4 "APD" 5 "PRSD" 6 "PPC" 7 "Otro" 8 "Blanco/No voto"
label values prevote vote

recode prevote (8=0)(5 6 7=4), gen (prevote1)
label var prevote1 "Vote decision-Pre"
label define prevote1 0 "Blanco/NoVote/NC" 1 "PLD" 2 "PRD" 3 "PRSC" 4 "Otros"
label values prevote1 prevote1

/// Edad
recode p31_1 (99=.), gen (age1)
label var age1 "edad"

/// Genero
recode p32_1 (2=0), gen (men1)
label var men1 "hombre"
label define men 0 "mujer" 1 "hombre"
label values men1 men

/// Nivel maximo de Estudios
recode p35_1 (99=.), gen (edu)
label var edu "nivel educativo"

/// Denominacion religiosa
gen relig=.
replace relig=1 if p34a_1==1
replace relig=2 if p34a_1==2
replace relig=3 if p34a_1==3
replace relig=4 if p34a_1==4
replace relig=4 if p34a_1==7
replace relig=4 if p34a_1==901
replace relig=5 if p34a_1==9
replace relig=5 if p34a_1==10
replace relig=6 if p34a_1==99
label var relig "religion"
label define relig 1 "catolico" 2 "protestante" 3 "evangelico" 4 "otra" 5 "nocreyente/ateo" 6 "NC"
label values relig relig

/// Asistencia a ceremonias religiosas
gen ceremo=.
replace ceremo=1 if p34b_1==7
replace ceremo=2 if p34b_1==6
replace ceremo=3 if p34b_1==5
replace ceremo=4 if p34b_1==4
replace ceremo=5 if p34b_1==3
replace ceremo=6 if p34b_1==2
replace ceremo=7 if p34b_1==1
label var ceremo "asistencia ceremonias religiosas"
label define ceremo 1 "nunca" 2 "menor frecuencia" 3 "solo fiestas" 4 "una al mes" 5 "una a semana" 6 "mas semana" 7 "casi diario"
label values ceremo ceremo

/// Frecuencia de rezo
gen rezar=.
replace rezar=1 if p34c_1==7
replace rezar=2 if p34c_1==6
replace rezar=3 if p34c_1==5
replace rezar=4 if p34c_1==4
replace rezar=5 if p34c_1==3
replace rezar=6 if p34c_1==2
replace rezar=7 if p34c_1==1
label var rezar "frecuencia reza?"
label values rezar ceremo

/// Clase social (subjetiva)
rename p46_1 clase
recode clase (9=.)

/// Ingresos personales
rename p47a_1 ingreso
recode ingreso (98 99=.)


*********** VARIABLES SEGUNDA OLA (2nd ROUND) *******************

/// Interes en Campaa
gen campint=.
replace campint=1 if p2_2==4
replace campint=2 if p2_2==3
replace campint=3 if p2_2==2
replace campint=4 if p2_2==1
label var campint "campaign interest post"
label values campint nadamucho

//// Frecuencia consumo PERIODICOS
gen newspaper=.
replace newspaper=1 if p3_Los_periodicos_2==6
replace newspaper=2 if p3_Los_periodicos_2==5
replace newspaper=3 if p3_Los_periodicos_2==4
replace newspaper=4 if p3_Los_periodicos_2==3
replace newspaper=5 if p3_Los_periodicos_2==2
replace newspaper=6 if p3_Los_periodicos_2==1
label var newspaper "frecuencia periodicos"
label define freq 1 "nunca" 2 "menos frecuencia" 3 "una semana" 4 "2-3 dias" 5 "4-6 dias" 6 "diario"
label values newspaper freq

/// Frecuencia consumo RADIO
gen radio=.
replace radio=1 if p3_La_radio_2==6
replace radio=2 if p3_La_radio_2==5
replace radio=3 if p3_La_radio_2==4
replace radio=4 if p3_La_radio_2==3
replace radio=5 if p3_La_radio_2==2
replace radio=6 if p3_La_radio_2==1
label var radio "frecuencia radio"
label values radio freq

/// Frecuencia consumo TELEVISION
gen tele=.
replace tele=1 if p3_La_television_2==6
replace tele=2 if p3_La_television_2==5
replace tele=3 if p3_La_television_2==4
replace tele=4 if p3_La_television_2==3
replace tele=5 if p3_La_television_2==2
replace tele=6 if p3_La_television_2==1
label var tele "frecuencia television"
label values tele freq

/// Frecuencia conversaciones con Familia
gen fam=.
replace fam=1 if p7a_2==4
replace fam=2 if p7a_2==3
replace fam=3 if p7a_2==2
replace fam=4 if p7a_2==1
label var fam "hablado con familia"
label define disc 1 "nunca" 2 "casi nunca" 3 "algunas veces" 4 "a menudo"
label values fam disc

/// Frecuencia conversaciones con Amigos
gen friend=.
replace friend=1 if p7b_2==4
replace friend=2 if p7b_2==3
replace friend=3 if p7b_2==2
replace friend=4 if p7b_2==1
label var friend "hablado con amigos"
label values friend disc

/// Frecuencia conversaciones con Vecinos
gen neigh=.
replace neigh=1 if p7c_2==4
replace neigh=2 if p7c_2==3
replace neigh=3 if p7c_2==2
replace neigh=4 if p7c_2==1
label var neigh "hablado con vecinos"
label values neigh disc

/// Frecuencia conversaciones con Compaeros de trabajo
gen work=.
replace work=1 if p7d_2==4
replace work=2 if p7d_2==3
replace work=3 if p7d_2==2
replace work=4 if p7d_2==1
label var work "hablado con compaeros trabajo"
label values work disc

/// Contacto con miembro de Partido Politico
recode p8_2 (8=.), gen(partycon)
label var partycon "contacto con partido politico?"
label define sino 0 "no" 1 "si"
label values partycon sino

/// Contacto con Partidos, de acuerdo a partidos
recode p8_2 (8=0), gen (partycon1)
replace partycon1=1 if p8a_1_2==1
replace partycon1=2 if p8a_1_2==3
replace partycon1=3 if p8a_1_2==5
replace partycon1=4 if p8a_1_2==4
replace partycon1=4 if p8a_1_2==98
replace partycon1=4 if p8a_1_2==901
label values partycon1 prevote1
label var partycon1 "Contacto con partido politico especifico"

/// Asistencia a ceremonias religiosas
gen religion2=p34_2
recode religion2 (9=.)

gen ceremo2=.
replace ceremo2=1 if p34_2==7
replace ceremo2=2 if p34_2==6
replace ceremo2=3 if p34_2==5
replace ceremo2=4 if p34_2==4
replace ceremo2=5 if p34_2==3
replace ceremo2=6 if p34_2==2
replace ceremo2=7 if p34_2==1
label var ceremo2 "asistencia ceremonias religiosas post"
label values ceremo2 ceremo

/// Participacion: Actividades de partidos politicos
recode p9_2 (2 9=0), gen (partyact)
label var partyact "participo en actividades de partido politico?"
label values partyact sino

//// Participacion: Trabajo para partido politico
recode p10_2 (2 9=0), gen (partywork)
label var partywork "trabajo para partido politico?"
label values partywork sino

/// Cercania a partidos politicos_Postelectoral
gen PID2=0
replace PID2=1 if p14_2==1
replace PID2=2 if p14_2==3
replace PID2=3 if p14_2==5
replace PID2=4 if p14_2==2
replace PID2=4 if p14_2==4
replace PID2=4 if p14_2==6
replace PID2=4 if p14_2==901
replace PID2=. if p13_2==.
label var PID2 "party closeness post"
label values PID2 PID

/// Grado de cercania con partidos politicos
gen PIDst2=0
replace PIDst2=1 if p15_2==4
replace PIDst2=1 if p15_2==8
replace PIDst2=2 if p15_2==3
replace PIDst2=3 if p15_2==2
replace PIDst2=4 if p15_2==1
replace PIDst2=. if p13_1==.
label var PIDst2 "party closeness strenght post"
label values PIDst2 PIDst

recode PIDst2 (1 2=0 "independiente")(3=1 "algo cercano")(4=2 "muy cercano"), gen(PIDstbis2)
label var PIDstbis2 "Party closeness BIS pre"

/// Autoubicacion Ideologica _ Postelectoral
recode p16_2 (98 99=.), gen (ideo2)
label values ideo2 ideo

/// Posicionamiento en autoidentificacion ideologica
gen placeideo2=1
replace placeideo2=0 if ideo2==.
replace placeideo2=. if p16_2==.
label values placeideo2 sino

/// Participacion Electoral
recode p20_2 (1 2 3=0 "no")(4=1 "si")(9=.), gen (turnout)
label var turnout "voto?"

/// Decision electoral _ Elecciones Congresuales 2010
gen vote=.
replace vote=0 if p21_2==99
replace vote=1 if p21_2==1
replace vote=2 if p21_2==3
replace vote=3 if p21_2==5
replace vote=7 if p21_2==4
replace vote=7 if p21_2==901
replace vote=8 if p21_2==97
replace vote=8 if p21_2==96
label var vote "Vote Decision-Post"
label values vote vote

recode vote (8=0)(7=4), gen (vote1)
label var vote1 "Vote Decision"
label values vote1 prevote1

/// Decision Electoral _ Elecciones municipales 2010
gen votemun=.
replace votemun=0 if p21e_2==99
replace votemun=1 if p21e_2==1
replace votemun=2 if p21e_2==3
replace votemun=3 if p21e_2==5
replace votemun=7 if p21e_2==4
replace votemun=7 if p21e_2==901
replace votemun=8 if p21e_2==97
replace votemun=8 if p21e_2==96
label var votemun "Vote Decision-Municipal"
label values votemun vote

/// Conocimiento: Nombre del Presidente
gen info1=.
replace info1=1 if p22_2==1
replace info1=0 if p22_2==2
replace info1=0 if p22_2==8
replace info1=0 if p22_2==9
label var info1 "nombre del presidente?"
label values info1 sino

/// Conocimiento: Partido con mayor numero de diputados
gen info2=.
replace info2=1 if p23a_2==1
replace info2=0 if p23a_2==2
replace info2=0 if p23a_2==3
replace info2=0 if p23a_2==8
replace info2=0 if p23a_2==9
label var info2 "partido 1o mas diputados?"
label values info2 sino

/// Conocimiento: Partido con segundo lugar en diputados
gen info3=.
replace info3=1 if p23b_2==2
replace info3=0 if p23b_2==1
replace info3=0 if p23b_2==3
replace info3=0 if p23b_2==8
replace info3=0 if p23b_2==9
label var info3 "partido 2o mas diputados?"
label values info3 sino

/// Conocimiento: Numero de diputados electos en provincia

/// Grado de conocimiento politico
gen know=info1 + info2 + info3
label var know "level of knowledge"

recode know (0 1 2=0)(3=1), gen (know2)
label var know2 "pol knowledge"
label values know2 sino

/// Genero
recode p39_2 (2=0), gen (men2)
label var men2 "hombre"
label values men2 men

/// Raza: Identificacion etnica
rename p40_2 raza

/// Sector Laboral: privado vs Pblico
gen privado=p39c_1

replace privado=1 if p39c_1==. & p44c_1==1
replace privado=2 if p39c_1==. & p44c_1==2
replace privado=3 if p39c_1==. & p44c_1==3

recode privado (8 9=.)
label define privado 1 "publico" 2 "privado"
label values privado privado



***********************************************************
****************** C A P I T U L O  3 *********************
**************** PARTICIPACION ELECTORAL ******************
***********************************************************


*************** R E C O D I F I C A C I O N ***************
***********************************************************

/// Eficacia politica

gen efica1_2=p12a_2
gen efica2_2=p12b_2
gen efica3_2=p12c_2
gen efica4_2=p12d_2

recode efica1_2 (1 2=1) (3 4=4) (8 9=.)
label var efica1_2 "Gente como yo no tiene influencia sobre gobierno"
label define acuerdo2 1 "muy + algo de acuerdo" 4 "muy + algo desacuerdo"
label values efica1_2 acuerdo2

recode efica2_2 (1 2=1) (3 4=4) (8 9=.)
label var efica2_2 "Politica es tan complicada que gente como yo no entiende"
label values efica2_2 acuerdo2

recode efica3_2 (1 2=1) (3 4=4) (8 9=.)
label var efica3_2 "Democracia es el mejor sistema para Rep Dominicana"
label values efica3_2 acuerdo2

recode efica4_2 (1 2=1) (3 4=4) (8 9=.)
label var efica4_2 "A politicos no preocupa demasiado lo que piense gente"
label values efica4_2 acuerdo2

/// RECODIFICACION: Auto-posicionamiento ideologico
/// Ideologia politica: VERSION B
recode p16b_2 (10=1) (9=2) (8=3) (7=4) (6=5) (5=6) (4=7) (3=8) (2=9) (1=10) (*=.)
//// Ideologia politica: VERSION A
recode p16a_2 (0=.) (11/max=.)


gen ideo_2=p16a_2

replace ideo_2=1 if p16a_2==. & p16b_2==1
replace ideo_2=2 if p16a_2==. & p16b_2==2
replace ideo_2=3 if p16a_2==. & p16b_2==3
replace ideo_2=4 if p16a_2==. & p16b_2==4
replace ideo_2=5 if p16a_2==. & p16b_2==5
replace ideo_2=6 if p16a_2==. & p16b_2==6
replace ideo_2=7 if p16a_2==. & p16b_2==7
replace ideo_2=8 if p16a_2==. & p16b_2==8
replace ideo_2=9 if p16a_2==. & p16b_2==9
replace ideo_2=10 if p16a_2==. & p16b_2==10

recode ideo_2 (1 2=1)(3 4=2)(5 6=3)(7 8=4)(9 10=5), gen (ideo5)
label var ideo5 "Ideologia politica"
label define ideo5 1 "izquierda" 2 "centro-izquierda" 3 "centro" 4 "centro-derecha" 5 "derecha"
label values ideo5 ideo5


// Tipo de localidad: 
gen rural= punto_m_1
label define rural 1 "urbano" 2 "rural"
label values rural rural

*** Variable para medir abstencionismo en 2010
gen absten_10=p20_2
recode absten_10 (2 3=2) (1=1) (4=4) (*=.)

gen abstendic_10=p20_2
recode abstendic_10 (4=1) (1 2 3=0)(*=.)
label var abstendic_10 "Participacion electoral"

*** Variable para medir abstencionismo 2005
gen absten_05=p28_1 
recode absten_05 (1/6=0) (95 97 98 99=.) (96=1)

tab absten_05 absten_10 [aweight=Peso_2], col row


********** ANALISIS de PARTICIPACION ELECTOTAL ******************
*****************************************************************

/// TABLA 3.4 
recode p20_2 (9=.)
tab p20_2 

/// TABLA 3.5 
tab p20a_2

/// TABLA 3.6
tab p20b_2

/// TABLA 3.7, Analisis 

tab men2 turnout [aw=Peso_2], row colum 

tab edad6 turnout [aw=Peso_2], row column

tab estudios4 turnout [aw=Peso_2], row column

tab sitlab6 turnout [aw=Peso_2], row column

tab ingreso turnout [aw=Peso_2], row column

tab tama turnout [aw=Peso_2], row column

tab clase turnout [aw=Peso_2], row column


/// TABLA 3.8 

tab relig turnout [aw=Peso_2], row column

tab ceremo2 turnout [aw=Peso_2], row column

/// TABLA 3.9

tab efica4_2 turnout [aw=Peso_2], row col

tab efica1_2 turnout [aw=Peso_2], row col

tab efica2_2 turnout [aw=Peso_2], row col

/// TABLA 3.10

tab polint turnou [aw=Peso_2], row col

/// TABLA 3.11

tab PID2 turnout [aw=Peso_2], row col

/// TABLA 3.12

tab ideo5 turnout [aw=Peso_2], row col

/// TABLA 3.13

tab campint turnout [aw=Peso_2], row col

/// TABLA 3.14

tab tele turnout [aw=Peso_2], row col

tab radio turnout [aw=Peso_2], row col

tab newspaper turnout [aw=Peso_2], row col 

/// TABLA 3.15 

tab partycon turnout [aw=Peso_2], row col 



*********************************************************************
************************ C A P  T U L O  4 *************************
**************** EL VOTO Y  FACTORES SOCIO-DEMOGRFICOS *************
*********************************************************************


*************** R E C O D I F I C A C I O N *****************
*************************************************************

*** necesita recodificacion para quitar NS NC
recode vote1 (0=.a)

*** Otros cambios
recode raza (6=0)
recode relig (2=4)


********************** A N A L I S I S **********************
*************************************************************

/// TABLA 4.1 Analisis bivariado

tab men2 vote1 [aw=Peso_2], row colum 

tab edad6 vote1 [aw=Peso_2], row column

tab estudios4 vote1 [aw=Peso_2], row column

tab sitlab6 vote1 [aw=Peso_2], row column

tab privado vote1 [aw=Peso_2], row column

tab raza vote1 [aw=Peso_2], row column

tab tama vote1 [aw=Peso_2], row column

tab urba vote1 [aw=Peso_2], row column

/// TABLA 4.2 

tab relig vote1 [aw=Peso_2], row column

tab ceremo2 vote1 [aw=Peso_2], row column

tab rezar vote1 [aw=Peso_2], row column

//// TABLA 4.3 Modelos de regresion binomial

*** Modelos con situaciones particulares
*** Modelo 1, solo PLD vs PRD
gen pld_prd=.
replace pld_prd=0 if vote1==1
replace pld_prd=1 if vote1==2
label var pld_prd "Vote PLD vs PRD"
label define pld_prd 0 "PLD" 1 "PRD"
label values pld_prd pld_prd

logit pld_prd men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 2, solo PLD vs PRSC
gen pld_prsc=.
replace pld_prsc=0 if vote1==1
replace pld_prsc=1 if vote1==3
label var pld_prsc "Vote PLD vs PRSC"
label define pld_prsc 0 "PLD" 1 "PRSC"
label values pld_prsc pld_prsc

logit pld_prsc men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 3, solo PLD vs Otros
gen pld_otros=.
replace pld_otros=0 if vote1==1
replace pld_otros=1 if vote1==4
label var pld_otros "Vote PLD vs Otros"
label define pld_otros 0 "PLD" 1 "Otros"
label values pld_otros pld_otros

logit pld_otros men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 4, solo PRD vs PRSC
gen prd_prsc=.
replace prd_prsc=0 if vote1==2
replace prd_prsc=1 if vote1==3
label var prd_prsc "Vote PRD vs PRSC"
label define prd_prsc 0 "PRD" 1 "PRSC"
label values prd_prsc prd_prsc

logit prd_prsc men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 5, solo PRD vs Otros
gen prd_otros=.
replace prd_otros=0 if vote1==2
replace prd_otros=1 if vote1==4
label var prd_otros "Vote PRD vs Otros"
label define prd_otros 0 "PRD" 1 "Otros"
label values prd_otros prd_otros

logit prd_otros men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)


//// TABLA 4.4 Probabilidades predichas

*** Modelo 1 para probabilidades marginales predichas
logit pld_prd i.men2 i.age1 i.edu i.urba i.sitlab6 i.raza i.relig i.ceremo2 [pw=Peso_2], vce(robust)
margins men2 age1 edu urba sitlab6 raza relig ceremo2, vce(unconditional)

*** Modelo 2 para probabilidades marginales predichas
logit pld_prsc i.men2 i.age1 i.edu i.urba i.sitlab6 i.raza i.relig i.ceremo2 [pw=Peso_2], vce(robust)
margins men2 age1 edu urba sitlab6 raza relig ceremo2, vce(unconditional)

*** Modelo 3 para probabilidades marginales predichas
logit pld_otros i.men2 i.edu i.urba i.sitlab6 i.raza i.relig i.ceremo2 [pw=Peso_2], vce(robust)
margins men2 edu urba sitlab6 raza relig ceremo2, vce(unconditional)

*** Modelo 4 para probabilidades marginales predichas
logit pld_prsc i.men2 i.age1 i.edu i.urba i.sitlab6 i.raza i.relig i.ceremo2 [pw=Peso_2], vce(robust)
margins men2 edu age urba sitlab6 raza relig ceremo2, vce(unconditional)

*** Modelo 5 para probabilidades marginales predichas
logit prd_otros i.men2 i.edu i.urba i.sitlab6 i.raza i.relig i.ceremo2 [pw=Peso_2], vce(robust)
margins men2 edu urba sitlab6 raza relig ceremo2, vce(unconditional)




**************************************************************************
************************ C A P  T U L O  5 ******************************
**************** El VOTO Y ELEMENTOS PSICOLGICOS DE ANCLAJE *************
**************************************************************************


*****************************************************************
****************** R E C O D I F I C A C I O N ******************
*****************************************************************


*** Recodificaciones de I D E O L O G I A
*** Ola Pre-Electoral

clonevar ideol1=p10a_1
recode p10b_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(ideol1b)
replace ideol1=ideol1b if ideol1>=.
drop ideol1b
recode ideol1 (98 99=.), gen(ideolv1)
recode ideol1 (1 2=1 "Izquierda")(3 4=2 "Centro-izq")(5 6=3 "Centro")(7 8=4 "Centro-dcha")(9 10=5 "Derecha")(98=8 "No usa")(99=9 "NC"), ///
 gen(ideolgrup1)
recode ideol1 (1/5=0 "Izquierda")(6/10=1 "Derecha")(98=8 "No usa")(99=9 "NC"), ///
 gen(ideoldic1)

*** Ola Post-Electoral 

clonevar ideol2=p16a_2
recode p16b_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(ideol2b)
replace ideol2=ideol2b if ideol2==0
drop ideol2b
recode ideol2 (98 99=.), gen(ideolv2)
recode ideol2 (1 2=1 "Izquierda")(3 4=2 "Centro-izq")(5 6=3 "Centro")(7 8=4 "Centro-dcha")(9 10=5 "Derecha")(98=8 "No usa")(99=9 "NC"), ///
 gen(ideolgrup2)
recode ideol2 (1/5=0 "Izquierda")(6/10=1 "Derecha")(98=8 "No usa")(99=9 "NC"), ///
 gen(ideoldic2)

*** Ambas olas electorales

recode ideol1 ideol2 (1 2=1 "Izquierda")(3 4=2 "Centro-izq")(5 6=3 "Centro")(7 8=4 "Centro-dcha")(9 10=5 "Derecha")(98 99=9 "NS/NC"), ///
 gen(ideolgrup1b ideolgrup2b) label(ideolgrup_b)
recode ideol1 ideol2 (1/5=0 "Izquierda")(6/10=1 "Derecha")(98 99=9 "NS/NC"), ///
 gen(ideoldic1b ideoldic2b) label(ideoldic_b)

*** Ideologa de partidos politicos, de acuerdo encuestados

*** Pre-Electoral

clonevar id_pld1=p11a_PLD_1
recode p11b_PLD_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_pld1b)
replace id_pld1=id_pld1b if id_pld1>=.
drop id_pld1b
recode id_pld1 (98 99=.), gen(idv_pld1)

clonevar id_prd1=p11a_PRD_1
recode p11b_PRD_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_prd1b)
replace id_prd1=id_prd1b if id_prd1>=.
drop id_prd1b
recode id_prd1 (98 99=.), gen(idv_prd1)

clonevar id_prsc1=p11a_PRSC_1
recode p11b_PRSC_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_prsc1b)
replace id_prsc1=id_prsc1b if id_prsc1>=.
drop id_prsc1b
recode id_prsc1 (98 99=.), gen(idv_prsc1)

clonevar id_apd1=p11a_APD_1
recode p11b_APD_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_apd1b)
replace id_apd1=id_apd1b if id_apd1>=.
drop id_apd1b
recode id_apd1 (98 99=.), gen(idv_apd1)

clonevar id_prsd1=p11a_PRSD_1
recode p11b_PRSD_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_prsd1b)
replace id_prsd1=id_prsd1b if id_prsd1>=.
drop id_prsd1b
recode id_prsd1 (98 99=.), gen(idv_prsd1)

clonevar id_ppc1=p11a_PPC_1
recode p11b_PPC_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_ppc1b)
replace id_ppc1=id_ppc1b if id_ppc1>=.
drop id_ppc1b
recode id_ppc1 (98 99=.), gen(idv_ppc1)

*** Post-Electoral

clonevar id_pld2=p17a_PLD_2
recode p17b_PLD_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_pld2b)
replace id_pld2=id_pld2b if id_pld2>=.
drop id_pld2b
recode id_pld2 (98 99=.), gen(idv_pld2)

clonevar id_prd2=p17a_PRD_2
recode p17b_PRD_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_prd2b)
replace id_prd2=id_prd2b if id_prd2>=.
drop id_prd2b
recode id_prd2 (98 99=.), gen(idv_prd2)

clonevar id_prsc2=p17a_PRSC_2
recode p17b_PRSC_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_prsc2b)
replace id_prsc2=id_prsc2b if id_prsc2>=.
drop id_prsc2b
recode id_prsc2 (98 99=.), gen(idv_prsc2)

clonevar id_apd2=p17a_APD_2
recode p17b_APD_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_apd2b)
replace id_apd2=id_apd2b if id_apd2>=.
drop id_apd2b
recode id_apd2 (98 99=.), gen(idv_apd2)

clonevar id_prsd2=p17a_PRSD_2
recode p17b_PRSD_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_prsd2b)
replace id_prsd2=id_prsd2b if id_prsd2>=.
drop id_prsd2b
recode id_prsd2 (98 99=.), gen(idv_prsd2)

clonevar id_ppc2=p17a_PPC_2
recode p17b_PPC_2 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(id_ppc2b)
replace id_ppc2=id_ppc2b if id_ppc2>=.
drop id_ppc2b
recode id_ppc2 (98 99=.), gen(idv_ppc2)

*** Ideologa de lderes, de acuerdo encuestados (Ola Pre-Electoral)

clonevar idlid_pld1=p14a_Leonel_Fernandez_1
recode p14b_Leonel_Fernandez_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(idlid_pld1b)
replace idlid_pld1=idlid_pld1b if idlid_pld1>=.
drop idlid_pld1b
recode idlid_pld1 (98 99=.), gen(idlidv_pld1)

clonevar idlid_prd1=p14a_Miguel_Vargas_1
recode p14b_Miguel_Vargas_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(idlid_prd1b)
replace idlid_prd1=idlid_prd1b if idlid_prd1>=.
drop idlid_prd1b
recode idlid_prd1 (98 99=.), gen(idlidv_prd1)

clonevar idlid_prsc1=p14a_Carlos_Morales_Tronc_1
recode p14b_Carlos_Morales_Tronc_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(idlid_prsc1b)
replace idlid_prsc1=idlid_prsc1b if idlid_prsc1>=.
drop idlid_prsc1b
recode idlid_prsc1 (98 99=.), gen(idlidv_prsc1)

clonevar idlid_apd1=p14a_Max_Puig_1
recode p14b_Max_Puig_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(idlid_apd1b)
replace idlid_apd1=idlid_apd1b if idlid_apd1>=.
drop idlid_apd1b
recode idlid_apd1 (98 99=.), gen(idlidv_apd1)

clonevar idlid_prsd1=p14a_Hatuey_De_Camps_1
recode p14b_Hatuey_De_Camps_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(idlid_prsd1b)
replace idlid_prsd1=idlid_prsd1b if idlid_prsd1>=.
drop idlid_prsd1b
recode idlid_prsd1 (98 99=.), gen(idlidv_prsd1)

clonevar idlid_ppc1=p14a_Rafael_Peguero_Mende_1
recode p14b_Rafael_Peguero_Mende_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(idlid_ppc1b)
replace idlid_ppc1=idlid_ppc1b if idlid_ppc1>=.
drop idlid_ppc1b
recode idlid_ppc1 (98 99=.), gen(idlidv_ppc1)

** Etiquetas de Ideologa (Pre-Electoral)

lab copy P17 etiquetas
lab def etiquetas 11"Ninguna de estas / Otra", add
recode p17_1 (10 901=11), gen(etiquetas1)
lab val etiquetas1 etiquetas

*** Issues / Temas de Competencia Electoral

*** Ola Pre-Electoral

recode p24a_1 p24e_1 p24g_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10)(11/99=.), ///
 gen(rp24_tradicion1 rp24_aborto1 rp24_propiedad1)

recode p24b_1 p24c_1 p24d_1 p24f_1 p24h_1 p24i_1 (11/99=.), ///
 gen(rp24_mediamb1 rp24_impuestos1 rp24_orden1 rp24_responsab1 rp24_desiguald1 rp24_decisiones1)

recode rp24*1 (1/5=0 "Izquierda")(6/10=1 "Derecha"), prefix(d) label(drp24_1)

recode p24a_1 p24e_1 p24g_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), ///
 gen(r2p24_tradicion1 r2p24_aborto1 r2p24_propiedad1)

recode p24b_1 p24c_1 p24d_1 p24f_1 p24h_1 p24i_1 (98=98), ///
 gen(r2p24_mediamb1 r2p24_impuestos1 r2p24_orden1 r2p24_responsab1 r2p24_desiguald1 r2p24_decisiones1)

recode r2p24*1 (1/5=0 "Izquierda")(6/10=1 "Derecha"), prefix(d) label(dr2p24_1)

*** Partidismo
** Partido ms cercano
recode p5_1 (1=1)(3=2)(5=3)(2 4 6 901=4)(99=5), gen(idpart1)
replace idpart1=6 if p4_1==2
replace idpart1=7 if p4_1==9

recode p14_2 (1=1)(3=2)(5=3)(2 4 6 901=4)(99=5), gen(idpart2)
replace idpart2=6 if p13_2==2
replace idpart2=7 if p13_2==9

lab def idpart 1"PLD" 2"PRD" 3"PRSC" 4"Otros" 5"S-NC" 6"No" 7"NC"
lab val idpart1 idpart2 idpart

recode p4_1 p13_2 (1=1 "Tiene")(2=2 "No")(*=.), gen(idpart1a idpart2a) label(idpart_a)

clonevar idpart1b=idpart1
clonevar idpart2b=idpart2
recode idpart1b idpart2b (5=7)

clonevar idpart1c=idpart1b
clonevar idpart2c=idpart2b
recode idpart1c idpart2c (4=6)(7=.)

clonevar idpcerc1=p6_1
clonevar idpcerc2=p15_2

recode idpart1 idpart2 (1=1 "PLD")(2=2 "PRD")(3 4=3 "Otros")(6=4 "No tiene")(*=.), gen(idpart1d idpart2d) label(idpart_d)
recode idpart1 idpart2 (1=1 "PLD")(2=2 "PRD")(3=3 "PRSC")(4=4 "Otros")(6=5 "No tiene")(*=.), gen(idpart1e idpart2e) label(idpart_e)

** Cercana a partidos
clonevar cercpld1=p7a_1 
clonevar cercprd1=p7c_1
clonevar cercprsc1=p7e_1
clonevar cercapd1=p7b_1
clonevar cercprsd1=p7d_1 
clonevar cercppc1=p7f_1

recode cercpld1 cercprd1 cercprsc1 (4=1)(3=2)(2=3)(1=4)(*=.), gen(cercvpld1 cercvprd1 cercvprsc1)

gen cerc1algo=0
recode cerc1algo (0=1) if cercpld1<3 | cercprd1<3 | cercprsc1<3 | cercapd1<3 | cercprsd1<3 | cercppc1<3

gen cerc1muy=0
recode cerc1muy (0=1) if cercpld1==1 | cercprd1==1 | cercprsc1==1 | cercapd1==1 | cercprsd1==1 | cercppc1==1


*** Voto
// Otros incluye blancos y nulos
* pre
recode p26_1 (1=1)(3=2)(5=3)(2 4 6 95 97=4)(96=5)(98=8)(99=9), gen(intvcong1)
recode p27_1 (1=1)(3=2)(5=3)(2 4 6 901 97=4)(96=5)(98=8)(99=9), gen(recvpres1)
recode p28_1 (1=1)(3=2)(5=3)(2 4 6 901 97=4)(96=5)(98=8)(99=9), gen(recvcong1)

* post
recode p21_2 (1=1)(3=2)(5=3)(2 4 6 96 97 901=4)(98=8)(99=9), gen(votocong2)
replace votocong2=5 if p20_2<4
replace votocong2=7 if p20_2==9

recode p21e_2 (1=1)(3=2)(5=3)(2 4 6 96 97 901=4)(98=8)(99=9), gen(votomun2)
replace votomun2=5 if p20_2<4
replace votomun2=7 if p20_2==9

lab def voto 1"PLD" 2"PRD" 3"PRSC" 4"Otros" 5"Abstencin" 7"NC part" 8"NS" 9"NC"
lab val intvcong1 recvpres1 recvcong1 votocong2 votomun2 voto

**** Recodificaciones Adicionales ********************

recode tama (3=0 "Rural")(1 2=1 "Urbano"), gen(tamun)
recode tama (2 3=0 "Rural")(1=1 "Urbano"), gen(tamun2)
recode relig (1=1 "Catlico")(3=2 "Evanglico")(2 4=3 "Otros")(5=4 "No creyente/ateo")(6=.), gen(religion)
recode vote1 (1=0)(2=1)(*=.), gen(v1prd_pld)
recode vote1 (1=0)(3=1)(*=.), gen(v1prsc_pld)


******************************************************************
******************** A N A L I S I S *****************************
******************************************************************


/// TABLA 5.1 Grado de cercania del Encuestado

tab PID1 [iw=Peso_1]

tab PID2 [iw=Peso_2]

/// TABLA 5.2 Grado de cercania a cada partido politico (Pre-electoral)

tab cercpld1 [aw=Peso_1]

tab cercprd1 [aw=Peso_1]

tab cercprsc1 [aw=Peso_1]

tab cercapd1 [aw=Peso_1]

tab cercprsd1 [aw=Peso_1]

tab cercppc1 [aw=Peso_1]


/// TABLA 5.3  Identificacion partidista segun Sociodemograficas (Pre-Electoral) 

svyset _n [pweight=Peso_1], vce(linearized) singleunit(missing)
svy linearized : tabulate relig idpart1b, pearson col

*** Genero
tab p32_1 idpart1a [aw=Peso_1], row nofre
tab p32_1 idpart1a [aw=Peso_1]
tab p32_1 idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab p32_1 idpart1b [aw=Peso_1] if idpart1b<5,

*** Edad
tab edad6 idpart1a [aw=Peso_1], row nofre
tab edad6 idpart1a [aw=Peso_1]
tab edad6 idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab edad6 idpart1b [aw=Peso_1] if idpart1b<5

*** Estudios
tab estudios4 idpart1a [aw=Peso_1], row nofre
tab estudios4 idpart1a [aw=Peso_1]
tab estudios4 idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab estudios4 idpart1b [aw=Peso_1] if idpart1b<5

*** Situacion laboral
tab sitlab6 idpart1a [aw=Peso_1], row nofre
tab sitlab6 idpart1a [aw=Peso_1]
tab sitlab6 idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab sitlab6 idpart1b [aw=Peso_1] if idpart1b<5

*** Origen racial
tab raza idpart1a [aw=Peso_1], row nofre
tab raza idpart1a [aw=Peso_1]
tab raza idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab raza idpart1b [aw=Peso_1] if idpart1b<5

*** Tipo de localidad
tab urba idpart1a [aw=Peso_1], row nofre
tab urba idpart1a [aw=Peso_1]
tab urba idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab urba idpart1b [aw=Peso_1] if idpart1b<5

*** Denominacion religiosa
tab relig idpart1a [aw=Peso_1], row nofre
tab relig idpart1a [aw=Peso_1]
tab relig idpart1b [aw=Peso_1] if idpart1b<5, row nofre
tab relig idpart1b [aw=Peso_1] if idpart1b<5


//// TABLA 5.4 Voto e Identificacion partidista

tab idpart1b votocong2 if votocong2<5 [iw=Peso_2], row nofre
tab idpart1b votocong2 if votocong2<5 [iw=Peso_2]


/// TABLA 5.5 Voto y Grado de Identificacion partidista

tab votocong2 cercpld1 if votocong2<5 [iw=Peso_2], col nofre
tab votocong2 cercpld1 if votocong2<5 [iw=Peso_2]
tab votocong2 cercprd1 if votocong2<5 [iw=Peso_2], col nofre
tab votocong2 cercprd1 if votocong2<5 [iw=Peso_2]
tab votocong2 cercprsc1 if votocong2<5 [iw=Peso_2], col nofre
tab votocong2 cercprsc1 if votocong2<5 [iw=Peso_2]


/// TABLA 5.6 Identificacion partidista y recuerdo de Preferencias de Voto

tab intvcong1 idpart1b if intvcong1<5 [aw=Peso_2], row nofre
tab intvcong1 idpart1b if intvcong1<5 [aw=Peso_2]

tab recvcong1 idpart1b if recvcong1<5 [aw=Peso_2], row nofre
tab recvcong1 idpart1b if recvcong1<5 [aw=Peso_2]

tab recvpres1 idpart1b if recvpres1<5 [aw=Peso_2], row nofre
tab recvcong1 idpart1b if recvpres1<5 [aw=Peso_2]


/// TABLA 5.7 Estabilidad de identificacion

tab idpart2b idpart1b [iw=Peso_2], col nofre
tab idpart2b idpart1b [iw=Peso_2], row nofre
tab idpart2b idpart1b [iw=Peso_2], cell nofre
tab idpart2b idpart1b [iw=Peso_2]


/// TABLA 5.8 Autoubicacion ideologica

tab ideolgrup1 [aw=Peso_1]
sum ideolv1[aw=Peso_1]

tab ideolgrup2 [aw=Peso_2]
sum ideolv2[aw=Peso_2]


/// TABLA 5.9 Identificaion de valores con Izquierda/Derecha

tabm p8a_1-p9k_1 [iw=Peso_1], row nofre
tabm p8a_1-p9k_1 [iw=Peso_1]


/// TABLA 5.10 Etiquetas ideologicas 

tab etiquetas1 [iw=Peso_1]
table etiquetas1 [iw=Peso_1], c(mean ideolv1 n ideolv1) row


/// TABLA 5.11 Ubicacion ideologica de los partidos

tabm id_pld1 id_prd1 id_prsc1 id_apd1 id_prsd1 id_ppc1 [iw=Peso_1], row nofre
tabm id_pld2 id_prd2 id_prsc2 id_apd2 id_prsd2 id_ppc2 [iw=Peso_2], row nofre

sum idv_pld1 idv_prd1 idv_prsc1 idv_apd1 idv_prsd1 idv_ppc1 [iw=Peso_1]
sum idv_pld2 idv_prd2 idv_prsc2 idv_apd2 idv_prsd2 idv_ppc2 [iw=Peso_2]


/// TABLA 5.12 Ubicacion ideologica de los lideres

tabm idlid_pld1 idlid_prd1 idlid_prsc1 idlid_apd1 idlid_prsd1 idlid_ppc1 [iw=Peso_1], row nofre

sum idlidv_pld1 idlidv_prd1 idlidv_prsc1 idlidv_apd1 idlidv_prsd1 idlidv_ppc1 [iw=Peso_1]


/// TABLA 5.13 

table votocong2 [iw=Peso_2], c(freq mean ideolv2 mean idv_pld2 mean idv_prd1 mean idv_prsc1)


/// TABLA 5.14 

tab votocong2 ideolgrup2 if votocong2<5 [iw=Peso_2], col nofre
tab votocong2 ideolgrup2 if votocong2<5 [iw=Peso_2]

//// ANEXO 5.1 Efecto identificacion partidista e Ideologia en Voto 

*** Recodificacion
clonevar raza_bis=raza
recode raza_bis (0=6)
recode raza_bis (1 2=1 "Negro")(3=2 "Indio oscuro")(4=3 "Indio claro")(5 6=4 "Blanco"), gen(raza4)
recode raza_bis (1 2=1 "Negro")(3=2 "Indio oscuro")(4=3 "Indio claro")(5=4 "Blanco jabao")(6=5 "Blanco"), gen(raza5)
lab def idpart_c 1"PLD" 2"PRD" 3"PRSC" 6"Otros"
lab val idpart1c idpart_c

*** Modelo Multinomial
mlogit votocong2 men2 age1 edu 1.rural i.sitlab6 b5.raza5 1.relig ceremo2 ideolv1 b6.idpart1c [iw=Peso_2] if votocong2<4
est store m1

//// GRAFICO 5.1 Efecto identificacion partidista en elecciones congresuales 
margins idpart1c, predict(outcome(1)) post
est store PLD
qui est restore m1
margins idpart1c, predict(outcome(2)) post
est store PRD
qui est restore m1
margins idpart1c, predict(outcome(3)) post
est store PRSC
qui est restore m1

coefplot PLD || PRD || PRSC, vertical ylabel(0(.25)1) ytitle(Pr(voto)) xtitle(Identificacin partidista) byopts(row(1) im(medium)) recast(bar) ///
 barwidth(0.5) fcolor(*.5) ciopts(recast(rcap))citop ysize(4) xsize(8)
graph display, scale(1.5)

///// GRAFICO 5.2 Efecto autoubicacion ideologica en elecciones congresuales
margins, at(ideolv1=(1(.2)10)) predict(outcome(1)) post
est store PLD
qui est restore m1
margins, at(ideolv1=(1(.2)10)) predict(outcome(2)) post
est store PRD
qui est restore m1
margins, at(ideolv1=(1(.2)10)) predict(outcome(3)) post
est store PRSC
qui est restore m1

coefplot PLD || PRD || PRSC, at recast(line)lwidth(*2) byopts(row(1) im(medium)) ciopts(recast(rline)lpattern(dash)) xlabel(1(1)10) ylabel(0(.25)1) ///
 ytitle(Pr(voto)) xtitle(Ideologa) ysize(4) xsize(8)
graph display, scale(1.5)



***********************************************************
****************** C A P I T U L O  6 *********************
************ EL EFECTO DE LOS ELEMENTOS A CORTO PLAZO: ****
************* LIDERAZGO Y LA LABOR DE GOBIERNO ************
***********************************************************


*************** R E C O D I F I C A C I O N ***************
***********************************************************

*** Partidismo
*** Partido mascercano
recode p5_1 (1=1)(3=2)(5=3)(2 4 6 901=4)(99=5), gen(idpart1)
replace idpart1=6 if p4_1==2
replace idpart1=7 if p4_1==9

lab def idpart 1"PLD" 2"PRD" 3"PRSC" 4"Otros" 5"Sin" 6"No" 7"NC"
lab val idpart1 

gen pidPLD=.
gen pidPRD=.
gen pidPRSC=.
gen pidOTROS=.
gen pidNOID=.

replace pidPLD=0 if idpart1==1
replace pidPLD=1 if idpart1==2 | idpart1==3 | idpart1==4

replace pidPRD=0 if idpart1==2
replace pidPRD=1 if idpart1==1 | idpart1==3 | idpart1==4

replace pidPRSC=0 if idpart1==3
replace pidPRSC=1 if idpart1==1 | idpart1==2 | idpart1==4 

replace pidOTROS=0 if idpart1==4
replace pidOTROS=1 if idpart1==1 | idpart1==2 | idpart1==3

replace pidNOID=0 if idpart1==5 | idpart1==6 | idpart1==7
replace pidNOID=1 if idpart1!=5 | idpart1!=6 | idpart1!=7 


*** Ideologia Pre-Electoral

clonevar ideol1=p10a_1
recode p10b_1 (10=1)(9=2)(8=3)(7=4)(6=5)(5=6)(4=7)(3=8)(2=9)(1=10), gen(ideol1b)
replace ideol1=ideol1b if ideol1>=.
drop ideol1b
recode ideol1 (98 99=.), gen(ideolv1)
recode ideol1 (1 2=1 "Izquierda")(3 4=2 "Centro-izq")(5 6=3 "Centro")(7 8=4 "Centro-dcha")(9 10=5 "Derecha")(98=8 "No usa")(99=9 "NC"), ///
 gen(ideolgrup1)
  
*** Voto en elecciones congresuales

recode p21_2 (1=1)(3=2)(5=3)(2 4 6 96 97 901=4)(98=8)(99=9), gen(votocong2)
replace votocong2=5 if p20_2<4
replace votocong2=7 if p20_2==9


******************************************************************
******************** A N A L I S I S *****************************
******************************************************************

/// TABLA 6.1 

*** Importancia de Temas 

tab p21a_1 [iw=Peso_1]

tab p21b_1 [iw=Peso_1]

tab p21c_1 [iw=Peso_1]

tab p21d_1 [iw=Peso_1]

tab p21e_1 [iw=Peso_1]

tab p21f_1 [iw=Peso_1]

tab p21g_1 [iw=Peso_1]

tab p21h_1 [iw=Peso_1]

tab p21i_1 [iw=Peso_1]

tab p21j_1 [iw=Peso_1]

tab p21k_1 [iw=Peso_1]

tab p21l_1 [iw=Peso_1]

tab p21m_1 [iw=Peso_1]

tab p21n_1 [iw=Peso_1]


*** Gestion de Gobierno por Temas**
*** Recodificacion previa
recode p22a_1 p22b_1 p22c_1 p22d_1 p22e_1 p22f_1 p22g_1 p22h_1 p22i_1 p22j_1 p22k_1 p22l_1 p22m_1 p22n_1 (5/max=.)

tab p22a_1 [iw=Peso_1]

tab p22b_1 [iw=Peso_1]

tab p22c_1 [iw=Peso_1]

tab p22d_1 [iw=Peso_1]

tab p22e_1 [iw=Peso_1]

tab p22f_1 [iw=Peso_1]

tab p22g_1 [iw=Peso_1]

tab p22h_1 [iw=Peso_1]

tab p22i_1 [iw=Peso_1]

tab p22j_1 [iw=Peso_1]

tab p22k_1 [iw=Peso_1]

tab p22l_1 [iw=Peso_1]

tab p22m_1 [iw=Peso_1]

tab p22n_1 [iw=Peso_1]

/// TABLA 6.2 

fac p22a_1 p22b_1 p22c_1 p22d_1 p22e_1 p22f_1 p22g_1 p22h_1 p22i_1 p22j_1 p22k_1 p22l_1 p22m_1 p22n_1 [aw=Peso_1], pcf
rotate, varimax
estimate store gob

/// TABLA 6.3 

recode ideol1 ideolv1 p24c_1 p24f_1 p24g_1 (11/max=.)
 
pwcorr ideolv1 p22a_1 p22b_1 p22h_1 p22c_1 p24c_1 p24f_1 p24g_1 [aw=Peso_1], sig

/// TABLA 6.4

bysort pidPLD: tab p22a_1 [iw=Peso_1]
bysort pidPLD: tab p22b_1 [iw=Peso_1]
bysort pidPLD: tab p22h_1 [iw=Peso_1]
bysort pidPLD: tab p22c_1 [iw=Peso_1]

bysort pidPRD: tab p22a_1 [iw=Peso_1]
bysort pidPRD: tab p22b_1 [iw=Peso_1]
bysort pidPRD: tab p22h_1 [iw=Peso_1]
bysort pidPRD: tab p22c_1 [iw=Peso_1]

bysort pidPRSC: tab p22a_1 [iw=Peso_1]
bysort pidPRSC: tab p22b_1 [iw=Peso_1]
bysort pidPRSC: tab p22h_1 [iw=Peso_1]
bysort pidPRSC: tab p22c_1 [iw=Peso_1]

bysort pidOTROS: tab p22a_1 [iw=Peso_1]
bysort pidOTROS: tab p22b_1 [iw=Peso_1]
bysort pidOTROS: tab p22h_1 [iw=Peso_1]
bysort pidOTROS: tab p22c_1 [iw=Peso_1]

/// TABLA 6.5 y ANEXO 6.1: Modelo multinomial de efecto de labor economica y educativa en voto

mlogit votocong2 men2 age1 edu 1.urba i.sitlab6 ib6.raza i.relig religion2 ideolv1 cercvpld1 cercvprd1 cercvprsc1 ///
 p22a_1 p22c_1 [iw=Peso_2] if votocong2<4, vce(robust)

*** Analisis de probabilidades marginales
mlogit votocong2 men2 age1 edu 1.urba i.sitlab6 ib6.raza i.relig religion2 ideolv1 cercvpld1 cercvprd1 cercvprsc1 ///
 ib4.p22a_1 ib4.p22c_1 [iw=Peso_2] if votocong2<4, vce(robust)
margins p22a_1 p22c_1, vce(unconditional)

/// TABLA 6.6 

tab p18a_Leonel_Fernandez_1 [iw=Peso_1]
tab p18a_Max_Puig_1 [iw=Peso_1]
tab p18a_Miguel_Vargas_1  [iw=Peso_1]
tab p18a_Hatuey_De_Camps_1 [iw=Peso_1] 
tab p18a_Carlos_Morales_Tronc_1 [iw=Peso_1]
tab p18a_Rafael_Peguero_Mende_1 [iw=Peso_1]

/// TABLA 6.7 

*** Recodificaciones de valoraciones 
recode p18a* (11/max=.)

recode p18d (11/max=.)

gen lideres=(p18a_Leonel_Fernandez_1 + p18a_Miguel_Vargas_1 + p18a_Hatuey_De_Camps_1 + p18a_Carlos_Morales_Tronc_1 ///
+ p18a_Rafael_Peguero_Mende_1 ) /5
recode lideres (11/max=.)

gen otrosli=( p18a_Hatuey_De_Camps_1 + p18a_Carlos_Morales_Tronc_1 + p18a_Rafael_Peguero_Mende_1) /3 
recode otrosli (11/max=.)

sum p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1  p18a_Carlos_Morales_Tronc_1 p18a_Hatuey_De_Camps_1  p18a_Max_Puig_1   ///
 p18a_Rafael_Peguero_Mende_1  lideres [iw=Peso_1]

/// TABLA 6.8 

bysort PID1: sum p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1  p18a_Carlos_Morales_Tronc_1 otrosli [iw=Peso_1]

/// TABLA 6.9

bysort ideolgrup: sum p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1  p18a_Carlos_Morales_Tronc_1 p18a_Hatuey_De_Camps_1  p18a_Max_Puig_1   ///
 p18a_Rafael_Peguero_Mende_1  lideres [iw=Peso_1]

/// TABLA 6.10

pwcorr p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1  p18a_Carlos_Morales_Tronc_1 p18a_Hatuey_De_Camps_1  p18a_Max_Puig_1   ///
 p18a_Rafael_Peguero_Mende_1  [aw=Peso_1], sig

/// TABLA 6.11 Y ANEXO 6.2 Modelo multinomial de efecto de valoracion de lideres en voto

*** Modelo final voto con lderes
 
mlogit votocong2 men2 age1 edu 1.urba i.sitlab6 ib6.raza i.relig religion2 ideolv1 cercvpld1 cercvprd1 cercvprsc1 ///
 ib4.p22a_1 ib4.p22c_1 p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1 p18a_Carlos_Morales_Tronc_1 [iw=Peso_2] if votocong2<4, vce(robust)

** Probabilidades marginales 
mlogit votocong2 men2 age1 edu 1.urba i.sitlab6 ib6.raza i.relig religion2 ideolv1 cercvpld1 cercvprd1 cercvprsc1 ///
	p22a_1 p22c_1 i.p18a_Leonel_Fernandez_1  i.p18a_Miguel_Vargas_1 i.p18a_Carlos_Morales_Tronc_1[iw=Peso_2] if votocong2<4, vce(robust)

margins p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1 p18a_Carlos_Morales_Tronc_1, vce(unconditional)
 

 
 

**************************************************************************
************************ C A P  T U L O  7 ******************************
***************** EL VOTO Y LOS MECANISMOS DE INTERMEDIACION *************
********* MEDIOS DE COMUNICACION, CONVERSACIONES POLITICAS Y PARTIDOS ****
***************************************************************************


*****************************************************************
****************** A N A L I S I S ******************************
*****************************************************************

/// TABLA 7.1 Frecuencia de seguimiento de informacion politica

tab newspaper [aw=Peso_2]
tab radio [aw=Peso_2]
tab tele [aw=Peso_2]

tab fam [aw=Peso_2]
tab friend [aw=Peso_2]
tab neigh [aw=Peso_2]
tab work [aw=Peso_2]

/// TABLA 7.2 Contacto con partidos politicos

tab partycon1 [aw=Peso_2]

/// TABLA 7.4 Decision electoral segun seguimiento medios de comunicacion

tab newspaper vote1 [aw=Peso_2], row colum 

tab radio vote1 [aw=Peso_2], row column

tab tele vote1 [aw=Peso_2], row column

/// TABLA 7.5 Decision electoral segun conversaciones politicas

tab fam vote1 [aw=Peso_2], row column

tab friend vote1 [aw=Peso_2], row column

tab neigh vote1 [aw=Peso_2], row column

tab work vote1 [aw=Peso_2], row column

/// TABLA 7.6 Decision electoral segun contacto con partidos politicos

tab partycon1 vote1 [aw=Peso_2], row column

/// TABLA 7.7. Modelos de regresion logistica

**************************************************************************************************
*** NOTA: Si ya se hizo el anlisis del CAPITULO 4, no hay que construir las variables de VOTO ***
**************************************************************************************************

*** Modelo 7.1, solo PLD vs PRD
gen pld_prd=.
replace pld_prd=0 if vote1==1
replace pld_prd=1 if vote1==2
label var pld_prd "Vote PLD vs PRD"
label define pld_prd 0 "PLD" 1 "PRD"
label values pld_prd pld_prd

logit pld_prd newspaper radio tele fam friend neigh work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 7.2, solo PLD vs PRSC
gen pld_prsc=.
replace pld_prsc=0 if vote1==1
replace pld_prsc=1 if vote1==3
label var pld_prsc "Vote PLD vs PRSC"
label define pld_prsc 0 "PLD" 1 "PRSC"
label values pld_prsc pld_prsc

logit pld_prsc newspaper radio tele fam friend neigh work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 7.3, solo PLD vs Otros
gen pld_otros=.
replace pld_otros=0 if vote1==1
replace pld_otros=1 if vote1==4
label var pld_otros "Vote PLD vs Otros"
label define pld_otros 0 "PLD" 1 "Otros"
label values pld_otros pld_otros

logit pld_otros newspaper radio tele fam friend neigh work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)

*** Modelo 7.4, solo PRD vs PRSC
gen prd_prsc=.
replace prd_prsc=0 if vote1==2
replace prd_prsc=1 if vote1==3
label var prd_prsc "Vote PRD vs PRSC"
label define prd_prsc 0 "PRD" 1 "PRSC"
label values prd_prsc prd_prsc

logit prd_prsc newspaper radio tele fam friend neigh work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)


/// TABLA 7.8 Probabilidades marginales de cada modelo binomial

*** Modelo 7.1 para probabilidades marginales predichas
logit pld_prd i.newspaper i.radio i.tele i.fam i.friend i.neigh i.work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)
margins newspaper radio tele fam friend neigh work partycon1, vce(unconditional)

*** Modelo 7.2 para probabilidades marginales predichas
logit pld_prsc i.newspaper i.radio i.tele i.fam i.friend i.neigh i.work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)
margins newspaper radio tele fam friend neigh work partycon1, vce(unconditional)

*** Modelo 7.3 para probabilidades marginales predichas
logit pld_otros i.newspaper i.radio i.tele i.fam i.friend i.neigh i.work /// 
	i.partycon1 [pw=Peso_2], vce(robust)
margins newspaper radio tele fam friend neigh work partycon1, vce(unconditional)

*** Modelo 7.4 para probabilidades marginales predichas
logit prd_prsc i.newspaper i.radio i.tele i.fam i.friend i.neigh i.work i.partycon1 ///
	men2 age1 edu urba i.sitlab6 i.raza i.relig ceremo2 [pw=Peso_2], vce(robust)
margins newspaper radio tele fam friend neigh work partycon1, vce(unconditional)



**************************************************************************
************************ C A P  T U L O  8 ******************************
**************CONOCIMIENTO POLITICO ENTRE LOS DOMINICANOS: ***************
*********************** CAUSAS Y CONSECUENCIAS ***************************
***************************************************************************


*************** R E C O D I F I C A C I O N ***************
***********************************************************

**** Variable Conocimiento Politico ***********

gen con1=p22_2
gen con2=p23a_2
gen con3=p23b_2
gen con4=p24_2

recode con1 (1=1) (2 8 9=0)
recode con2 (1=1) (2 3 8 9=0)
recode con3 (2=1) (1 3 8 9=0)
recode con4 (1=0) (2/18=1) (19/max=0)

gen cono=con1+con2+con3+con4

recode cono (1 2=0 "Bajo conocimiento") (3 4=1 "Alto conocimiento"), into(conor)
label var conor "Conocimiento politico (Dicotomico)"


*****************************************************************
****************** A N A L I S I S ******************************
*****************************************************************
	

/// TABLA 8.1

tab con1 [aw=Peso_2]
tab con2 [aw=Peso_2]
tab con3 [aw=Peso_2]
tab con4 [aw=Peso_2]

tab cono [aw=Peso_2]

		
/// TABLA 8.2 Conocimiento segun caracteristicas sociodemograficas 

tab conor men2 [aweight=Peso_2], col
tab conor edad6 [aweight=Peso_2], col
tab conor estudios4 [aweight=Peso_2], col 
tab conor sitlab6 [aweight=Peso_2], col 
tab conor raza [aweight=Peso_2], col
tab conor urba [aweight=Peso_2], col

tab conor relig [aweight=Peso_2], col
tab conor ingresos5 [aweight=Peso_2], col


/// TABLA 8.3 Regresion logistica 

logit conor men2 age1 estudios4 urba i.sitlab6 ib1.raza ingresos5 [iw=Peso_2], vce(robust)
logit conor i.men2 age1 i.estudios4 1.urba i.sitlab6 ib1.raza i.ingresos5 [iw=Peso_2], vce(robust)
margins estudios4 men2 ingresos, vce(unconditional)


/// TABLA 8.4 Antecedentes motivacionales

*** Recodificaciones de Interes Politico y en Camapaa
gen interes_1=p2_1
recode interes_1 (1 2=1 "Bastante/mucho") (3 4=4 "Poco/nada") (*=.), gen(interes_2)
label var interes_2 "Interes en politica"

recode campint (1 2=1 "Poca/nada") (3 4=2 "Bastante/mucho") (*=.), gen(intercam_2)
label var intercam_2 "Interes en campaa"

*** Analisis
tab interes_2 conor [aw=Peso_2], col row

tab intercam_2 conor [aw=Peso_2], col row

tab newspaper conor [aw=Peso_2], col row
tab radio conor [aw=Peso_2], col row
tab tele conor [aw=Peso_2], col row

tab partycon conor [aw=Peso_2], col row


/// TABLA 8.5 Antecedentes de la informacion 

logit conor men2 age1 estudios4 urba i.sitlab6 ib1.raza ingresos5 interes_2 tele partycon [iw=Peso_2], vce(robust)
logit conor i.men2 age1 i.estudios4 urba i.sitlab6 ib1.raza ingresos5 i.interes_2 i.tele partycon [iw=Peso_2], vce(robust)
margins men2 estudios4 tele interes_2, vce(unconditional)


/// TABLA 8.6 Conocimiento y participacion electoral 

*** Recodificaciones de Abstencionismo
*** Variable para medir abstencionismo 2010
gen absten_10=p20_2
recode absten_10 (1 2 3=0) (4=1) (*=.)
*** Variable para medir asbten 2005
gen absten_05=p28_1 
recode absten_05 (1/6=1) (97=1) (96=0) (*=.)

*** Variable combina el abstencionismo de 2005 y 2010
gen abstenlargo=.
* participantes
replace abstenlargo=0 if absten_05==0 & absten_10==0
* movilizados
replace abstenlargo=1 if absten_05==0 & absten_10==1 
*cicunstanciales
replace abstenlargo=1 if absten_05==1 & absten_10==0 
*largo plazo
replace abstenlargo=2 if absten_05==1 & absten_10==1

** Analisis

tab cono absten_10  [aw=Peso_2], col row

tab cono abstenlargo [aw=Peso_2], col row


/// TABLA 8.7 Conocimiento e identificacion partidista

tab cono p13_2 [aw=Peso_2], col row

tab cono p15_2 [aw=Peso_2], col row


/// TABLA 8.8 Conocimiento y preferencias partidistas e ideologicas

tab cono vote [aw=Peso_2], col row

bysort cono: sum ideo2 [aw=Peso_2]


/// TABLA 8.9 Conocimiento y valoracion labore de gobierno y lideres

tab cono p22a_1 [aw=Peso_1], col row
tab cono p22c_1 [aw=Peso_1], col row

bysort cono: sum p18a_Leonel_Fernandez_1  p18a_Miguel_Vargas_1 p18a_Carlos_Morales_Tronc_1
